package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.BaseDeviceParam;

/**
 * 设备参数Service接口
 * 
 * @author Yinq
 * @date 2023-09-19
 */
public interface IBaseDeviceParamService 
{
    /**
     * 查询设备参数
     * 
     * @param objId 设备参数主键
     * @return 设备参数
     */
    public BaseDeviceParam selectBaseDeviceParamByObjId(Long objId);

    /**
     * 查询设备参数列表
     * 
     * @param baseDeviceParam 设备参数
     * @return 设备参数集合
     */
    public List<BaseDeviceParam> selectBaseDeviceParamList(BaseDeviceParam baseDeviceParam);

    /**
     * 新增设备参数
     * 
     * @param baseDeviceParam 设备参数
     * @return 结果
     */
    public int insertBaseDeviceParam(BaseDeviceParam baseDeviceParam);

    /**
     * 修改设备参数
     * 
     * @param baseDeviceParam 设备参数
     * @return 结果
     */
    public int updateBaseDeviceParam(BaseDeviceParam baseDeviceParam);

    /**
     * 批量删除设备参数
     * 
     * @param objIds 需要删除的设备参数主键集合
     * @return 结果
     */
    public int deleteBaseDeviceParamByObjIds(Long[] objIds);

    /**
     * 删除设备参数信息
     * 
     * @param objId 设备参数主键
     * @return 结果
     */
    public int deleteBaseDeviceParamByObjId(Long objId);
}
